
import "DhorPlugins.HunterFocus";

-- create the HunterFocus window
HunterFocus = MainWindow();

-- create a new command line command for the HunterFocus window
HunterFocusCommand = Turbine.ShellCommand();

-- handle the HunterFocus commands
function HunterFocusCommand:Execute( command, arguments )
	if ( arguments == "show" ) then
		HunterFocus:SetVisible( true );
	elseif ( arguments == "hide" ) then
		HunterFocus:SetVisible( false );
	elseif ( arguments == "toggle" ) then
		HunterFocus:SetVisible( not HunterFocus:IsVisible() );
	elseif ( arguments == "dump" ) then
		HunterFocus:DoDump();
	elseif ( arguments ~= nil ) then
		HunterFocusCommand:GetHelp();
	end
end

function HunterFocusCommand:GetHelp()
	Turbine.Shell.WriteLine( helpString );
end

-- add the command to the shell
Turbine.Shell.AddCommand( "HF,Focus", HunterFocusCommand );


